//
//  ViewController.h
//  WaterfallToTableTransition
//
//  Created by Noval Agung Prayogo on 6/25/13.
//  Copyright (c) 2013 Noval Agung Prayogo. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "UICollectionViewWaterfallLayout.h"
#import "UIView+Extends.h"
#import "UIColor+Extends.h"

@interface ViewController : UIViewController<UICollectionViewDelegateWaterfallLayout, UICollectionViewDataSource, UITableViewDataSource, UITableViewDelegate>

@property (strong, nonatomic) IBOutlet UICollectionView *collectionView;
@property (strong, nonatomic) IBOutlet UITableView *tableView;
@property (strong, nonatomic) IBOutlet UIView *containerView;
@property (strong, nonatomic) UIView *collectionViewClone;
@property (strong, nonatomic) UIView *tableViewClone;
@property (strong, nonatomic) NSMutableArray *data;
@property (strong, nonatomic) NSMutableArray *dataColor;
@property (strong, nonatomic) NSMutableArray *collectionData;
@property (strong, nonatomic) NSMutableArray *tableData;

@end
